{%- import 'macros.html' as macros with context -%}
{#-
Expected context:
- USERS
- GROUPS
- USERID
-#}
{%- set defgroupcolors = [
	"00bf7d",
	"00b4c5",
	"d80c18",
	"8a0008",
	"8ad435",
	"027d11",
	"683abf",
	"2015d0",
	"d54920",
	"f660c9",
	"cc7a1a",
	"fbb235",
	"bae599",
	"c1a7f8",
	"d6c4fb",
] -%}
<div class="settings">
	<form action="{{ url_for('settings') }}" method="post">
		<h2>Einstellungen</h2>
		<label for="username">Anzeigename:</label><br>
		<input type="text" id="username" name="username" {% if users[userid].username is not none %}value="{{ user.username|e }}"{% endif %} placeholder="Name" autocomplete="off" autofocus maxlength="20" minlength="2" />
		<br>
		<span>Gruppe: </span>
		<span>
			<input type="radio" id="keinegroup" name="group" value="" {% if users[userid].groupid is none %} checked{% endif%} />
			<label for="keinegroup">Keine Gruppe</label>
		</span>
		{%- for groupid,group in groups.items() -%}
			<span class="selectgroup groupcolor" style="--groupcolor: {{ group.color | e }};">
				<input type="radio" id="group-{{ groupid | e }}" name="group" value="{{ groupid | e }}"  {% if users[userid].groupid == groupid %} checked{% endif%} />
				<label for="group-{{ groupid | e }}">{{ groupid | e }}</label>
			</span>
		{%- endfor -%}
		<br>
		<input type="submit" class="btn btn-quaternary" value="Speichern" />
		<br>
		<sub>ID:&nbsp;<code>{{ userid|e }}</code></sub>
		<br>
		<sub>E-Mail:&nbsp;<code>{{ user.email|e }}</code></sub>
		<br>
		<sub>GitLabID:&nbsp;<code>{{ user.gitlabid|e }}</code></sub>
		{% if user.admin %}
		<br>
		<sub>Du bist Admin.</sub>
		{% endif %}
	</form>
</div>
<form action="{{ url_for('create_group') }}" method="post" id="creategroup">
	<h2>Gruppe erstellen</h2>
	<p>
	Hier kannst du eine Gruppe erstellen. Andere Personen können deiner Gruppe beitreten.<br>
	Du kannst insgesamt <i><strong>nur MAXIMAL 2 Gruppen</strong></i> erstellen!<br>
	Weder der Gruppenname noch die Gruppenfarbe können nachträglich verändert werden.
	</p>
	<label for="groupid">Gruppenname:</label><br>
	<input type="text" id="groupid" name="groupid" placeholder="z.B. Team_Spezi" autocomplete="off" maxlength="10" minlength="2" required />
	<br>
	<span>Gruppenfarbe: </span>
	{%- set selectedgroupcolor = defgroupcolors|random -%}
	{%- for groupcolor in defgroupcolors -%}
		<span class="selectgroup groupcolor" style="--groupcolor: #{{ groupcolor | e }};">
			<input type="radio" id="groupcolor-{{ groupcolor | e }}" name="groupcolor" value="#{{ groupcolor | e }}" {% if groupcolor == selectedgroupcolor %} checked{% endif%} />
			<label for="groupcolor-{{ groupcolor | e }}">#{{ groupcolor | e }}</label>
		</span>
	{%- endfor -%}
	<br>
	<input type="submit" class="btn btn-quaternary" value="Gruppe erstellen" />
</form>
